#
# spec file for package python-muranoclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-muranoclient
Version:        0.11.0
Release:        2.3
Summary:        Python API and CLI for OpenStack Murano
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable >= 0.7
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-glanceclient >= 2.0.0
BuildRequires:  python-keystoneclient >= 2.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-osc-lib >= 0.4.0
BuildRequires:  python-oslo.log >= 1.14.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-pyOpenSSL >= 0.14
BuildRequires:  python-requests-mock >= 1.0
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
BuildRequires:  python-yaql >= 1.1.0
Requires:       python-Babel >= 2.3.4
Requires:       python-PrettyTable >= 0.7
Requires:       python-PyYAML >= 3.1.0
Requires:       python-glanceclient >= 2.0.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneclient >= 2.0.0
Requires:       python-osc-lib >= 0.4.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.log >= 1.14.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-pbr >= 1.6
Requires:       python-pyOpenSSL >= 0.14
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
Requires:       python-yaql >= 1.1.0
BuildArch:      noarch

%description
Client library for Murano built on the Murano API. It provides a Python API
(the muranoclient module) and a command-line tool (murano).

%package doc
Summary:        Documentation for OpenStack Magnum API client libary
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-reno >= 1.8.0

%description doc
Client library for Murano built on the Murano API. It provides a Python API
(the muranoclient module) and a command-line tool (murano).
This package contains the documentation.

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/muranoclient
%{python2_sitelib}/*.egg-info
%{_bindir}/murano

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Mon Sep  5 2016 tbechtold@suse.com
  update to version 0.11.0
  * Increase yaql quotas
  * Replace functions 'Dict.get' and 'del' with 'Dict.pop'
  * Add package create to openstack CLI
  * Decode PrettyTable output before printing for Python3
  * Add script for unit test coverage job
  * Use upper constraints for all jobs in tox.ini
  * [docs] Update Readme with correct Doc URL
  * Updated from global requirements
  * Sync tools/tox_install.sh
  * Trivial: clean up oslo-incubator related stuff
* Thu Aug 25 2016 tbechtold@suse.com
- Initial packaging (version 0.10.0)
